com.microfocus.awm.meta.modelextension

## Enum EToolDescriptorType

- java.lang.Object
- - java.lang.Enum<EToolDescriptorType>
  - - com.microfocus.awm.meta.modelextension.EToolDescriptorType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EToolDescriptorType>

      public enum EToolDescriptorType
      extends java.lang.Enum<EToolDescriptorType>

  Which type of tool descriptor is defined in the model extension. This will be used to create the proper ToolExecutor
  Author:
    NicolasP

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEGACY_TOOL_DESCRIPTOR` Tool Descriptor of the type LegacyToolDescriptor
    `TOOL_DESCRIPTOR` Tool Descriptor of the type ToolDescriptor

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EToolDescriptorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EToolDescriptorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEGACY_TOOL_DESCRIPTOR

          public static final EToolDescriptorType LEGACY_TOOL_DESCRIPTOR

      Tool Descriptor of the type LegacyToolDescriptor

    - #### TOOL_DESCRIPTOR

          public static final EToolDescriptorType TOOL_DESCRIPTOR

      Tool Descriptor of the type ToolDescriptor

  - ### Method Detail

    - #### values

          public static EToolDescriptorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EToolDescriptorType c : EToolDescriptorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EToolDescriptorType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2015 Micro Focus GmbH. All rights reserved.